AnsweredAssumed Answered

SketchRectangle

Question asked by Shousheng Wang on Nov 27, 2017
Latest reply on Nov 27, 2017 by Josh Brady

I make a VBA code to create Ractangle with two point

Set Part = swApp.ActiveDoc

Part.SketchManager.InsertSketch True

boolstatus = Part.Extension.SelectByID2("Right Plane", "PLANE", 0.207445770954706, -6.18378087542054E-03, -1.56948804390333, False, 0, Nothing, 0)

'Part.SketchManager.InsertSketch True

 

Part.SketchRectangle -1.75, 0.562,0, -1, 0.485, 0, 1

 

 

I  use debug to check two points, it is correct, However in the solidworks model in the sketch , the second point become ( -1, 0.5,0)

 

 

Why?

 

Thanks

Outcomes